import request from "@/utils/request";
export default new (class Api {
  /**查询下级推广积分 */
  extensionIncomeExtensionPoints(query) {
    return request({
      url: "extension/income/extensionPoints",
      method: "get",
      params: query,
    });
  }
   /**查询代理的列表 */
  extensionIncomeInfo(query){
      return request({
          url:"extension/income/info",
          method:"get",
          params:query
      })
  }
  // 导出积分列表
  extensionIncomeExport(query){
    return request({
      url:"extension/income/export",
      method:"get",
      params:query
    })
  }
  //结算积分
  extensionIncomeExtensionIncomePriceIds(ids){
    return request({
      url:"extension/income/extensionIncomePrice/"+ids,
      method:"get"
    })
  }
})();